> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/construct-templates/study-template/steps.md).

# Steps

The `Steps` field in a study specifies the sequence of steps executed while running the study. These steps are run in exactly the same order in which they will be executed.

The following types of steps are available:

* [**Baseline**](/akamas-docs/reference/construct-templates/study-template/steps/baseline-step.md): performs an experiment and sets it as a baseline for all the other ones
* [**Bootstrap**](/akamas-docs/reference/construct-templates/study-template/steps/bootstrap-step.md): imports experiments from other studies
* [**Preset**](/akamas-docs/reference/construct-templates/study-template/steps/preset-step.md): performs an experiment with a specific configuration
* [**Optimize**](/akamas-docs/reference/construct-templates/study-template/steps/optimize-step.md): performs experiments and generates optimized configurations

Notice that the structure corresponding to the steps is different for the different types of steps.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/reference/construct-templates/study-template/steps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
